Skip to main content
GET
/
v1
/
info
/
bbo
Get BBO
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/info/bbo
import requests

url = "https://api.perpetuals.polymarket.com/v1/info/bbo"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.perpetuals.polymarket.com/v1/info/bbo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "instrument_id": 1,
    "bid_price": "99.50",
    "bid_quantity": "10.00",
    "ask_price": "100.50",
    "ask_quantity": "10.00",
    "timestamp": 1767225600000
  }
]
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
Request Weight: 2

Query Parameters

instrument_id
integer

Instrument ID

Response

BBO response.

instrument_id
integer
required

Instrument ID

Example:

1

bid_price
string
required

Best bid price

Example:

"99.50"

bid_quantity
string
required

Best bid quantity

Example:

"10.00"

ask_price
string
required

Best ask price

Example:

"100.50"

ask_quantity
string
required

Best ask quantity

Example:

"10.00"

timestamp
integer
required

Request timestamp. Unix milliseconds for most operations; Unix seconds for withdrawals (must match the on-chain EIP-712 struct verified against block.timestamp).

Example:

1767225600000